<?php
date_default_timezone_set('America/Sao_Paulo');
$date = date('d/m/y');
class modelo_manutencao
{  private $con;
        var $resultado;
		var $registros;
		var $resultado1;
		var $registros1;
		var $resultado2;
		var $registros2;
 		var $resultado3;
		var $registros3;
      	var $resultado4;
		var $registros4;
   public function __construct()
   {
      $this->con = new conexao();
   }
		   function modelo_lista()  

		   { if ($_REQUEST['ordemtab']==""){

		   	//	   $sql= "select * from chamado where ativo='S' and com='".$_REQUEST['cod_user_s']."' order by codigo";}

		   		   $sql= "select * from chamado where ativo='S' and chamado_com='".$_REQUEST['cod_user_s']."' order by codigo";}

		   else

		   {$sql= "select * from chamado where ativo='S' and chamado_com='".$_REQUEST['cod_user_s']."' order by ".$_REQUEST['ordemtab'];}

		    $this->resultado = $this->con->banco->Execute($sql);

		   }

		   function modelo_encerrar()  

		    { $date = date('Y-m-d');

			  $validadordeapagar=(int) $_REQUEST["codigo"];

			  if( is_int($validadordeapagar)){

			  $sql= "update ".$_REQUEST['tabela']." set ativo='N',chamado_data_fim='".$date."' where codigo=".$_REQUEST['codigo']; 

			  $this->resultado = $this->con->banco->Execute($sql);

			  alerta("O Chamado Encerrado");

		      return true;

		    }

			else

			{

			  return false;

			  alerta("Erro ao Encerrado Chamado");

				

			};



		   }

		   

		   function modelo_lista_para()  

		   {

			 

				   $sql= "select codigo,usuario_nome,usuario_email_envio_not from usuario where ativo='S' and codigo<>'".$_REQUEST['cod_user_s']."'";

		     

			$this->resultado1 = $this->con->banco->Execute($sql);

		   }

		   

		   

		   	   function modelo_lista_de()  

		   {

			 

				   $sql= "select codigo,usuario_nome,usuario_email_envio_not from usuario where ativo='S' and codigo='".$_REQUEST['cod_user_s']."'";

		    

			$this->resultado = $this->con->banco->Execute($sql);

		   }

		   	   	   function modelo_lista_tomador()  

		   {

			 

				   $sql= "select codigo,reg_0000_nome from reg_0000 where ativo='S'";

		     

			$this->resultado2 = $this->con->banco->Execute($sql);

		   }

		  

		      	   	   function modelo_lista_area()  

		   {

			 

				   $sql= "select codigo,chamado_area_nome from chamado_area where ativo='S'";

		     

			$this->resultado3 = $this->con->banco->Execute($sql);

		   }

		       	   	   function modelo_lista_urgencia()  

		   {

			 

				   $sql= "select codigo,chamado_urgencia_nome from chamado_urgencia where ativo='S'";

		     

			$this->resultado4 = $this->con->banco->Execute($sql);

		   }

		      function modelo_lista_usuarios_do_chamado()  

		   {$sql= "select * from usuario where codigo<>'".$_REQUEST['cod_user_s']."'";
//$sql= "select * from usuario where codigo<>'".$_SESSION['user_id']."'";

			$this->resultado3 = $this->con->banco->Execute($sql);

			  }

		 

		   

		   

		   	function modelo_lista_resp()  

		   {$sql= "select * from chamado_detalhes where chamado_detalhes_chamado=".$_POST['codigo']." order by codigo";

			$this->resultado2 = $this->con->banco->Execute($sql);

		   }

		   

		    function modelo_novo()  

		   {

			 //////////////////////

    #Declaramos de onde estaremos recebendo o anexo (que será através da variável ($_FILES) de envio de arquivos por HTTP)

  $DfAnexo = $_FILES["DfAnexo"]["name"];



  #Se nenhum arquivo for selecionado para ser enviado, exibe a mensagem de erro abaixo

  if(empty($DfAnexo)) {

	  $caminho="";

   

  }

  #Caso contrário, o arquivo é checado para ser processado

  else {

    #Declaramos um tamanho máximo para o envio do anexo em bytes (setamos como sendo 5120000 bytes (que é igual a 5 MB))

    #Se o anexo for maior que 5 MB, exibe a mensagem de erro abaixo e termina a execução do script

    if($_FILES["DfAnexo"]["size"] > 5120000) {

      echo "Erro no envio do anexo<br /><br />";

      echo "Seu anexo não poderá ser maior que 5 MB!";

      exit;

    }

    #Caso contrário, o arquivo continua a ser processado

    if(!empty($_FILES["DfAnexo"]["tmp_name"]) and is_file($_FILES["DfAnexo"]["tmp_name"])) {

      #Declaramos a pasta aonde o arquivo será salvo (esta pasta deve estar com chmod 777)

      $caminho = "h010/";



      #Declaramos a data e hora atual que será inserida no nome do arquivo para registrar o exato momento do envio dele

      $datahora = date("Ymd_His_");



      #Re-declaramos a pasta aonde o arquivo será salvo, desta vez inserindo junto a ela o nome do arquivo

      $caminho = $caminho.$datahora.$_FILES["DfAnexo"]["name"];



      #Declaramos os tipos de extensões aceitas para o envio do anexo

      if(preg_match("/.rar$/", $_FILES["DfAnexo"]["name"]) or preg_match("/.TXT$/", $_FILES["DfAnexo"]["name"])) {

        #Copiamos o arquivo para a pasta setada mais acima

        copy($_FILES["DfAnexo"]["tmp_name"],$caminho);

		

		



		

		 }

      #Se o anexo não tiver uma extensão aceita, exibe a mensagem de erro abaixo e termina a execução do script

      else {

        echo "Erro no envio do anexo<br /><br />";

        echo "Extensão inválida de arquivo!";

        exit;

      }

    }

    #Se o anexo tiver sido indicado através de um caminho inválido ou tenha um nome inválido, exibe a mensagem de erro abaixo e termina a execução do script

    else {

      echo "Erro no envio do anexo<br /><br />";

      echo "Caminho e/ou nome de anexo inválido!";

                        

      exit;

    }

  } 

		   ///////////////   

			



















// inicia o sql comum 			

			   $date = date('Y-m-d');

			   $conteudo=explode("|",$_POST['para']);

			   $conteudo1=explode("|",$_POST['_de']);

			   $conteudo2=explode("|",$_POST['tomador']);

			   $conteudo3=explode("|",$_POST['area']);

			   $conteudo4=explode("|",$_POST['urgencia']);

			   

						   

			$sql="insert into chamado (

			chamado_descricao_capa,

			chamado_descricao_item,

			chamado_anexo_abertura,

			chamado_de,
			
			chamado_de_nome,

			chamado_para,

			chamado_para_nome,

			chamado_com,

			chamado_com_nome,

			data,

			chamado_data_ult_mov,

			chamado_data_inicio,

			ativo,

			chamado_tomador,

			chamado_tomador_nome,

			enumsistema,

			chamado_cod_area,

			chamado_nome_area,

			chamado_cod_urgencia,

			chamado_nome_urgencia)

			values 

			(

			'".$_POST['descricao_capa']."',

			'".$_POST['descricao_item']."',

			'".$caminho."',

			'".$conteudo1[0]."',

			'".$conteudo1[1]."',

			'".$conteudo[0]."',

			'".$conteudo[1]."',

			'".$conteudo[0]."',

		    '".$conteudo[1]."',

			'$date',

			'$date',

			'$date',

			'S',

			'".$conteudo2[0]."',

			'".$conteudo2[1]."',

            'CHAMADO-".$_SERVER["REMOTE_ADDR"]."-".$date."',

			'".$conteudo3[0]."',

			'".$conteudo3[1]."',

			'".$conteudo4[0]."',

			'".$conteudo4[1]."'

			)";	

		    if($this->resultado=$this->con->banco->Execute($sql))

		

			{

	

	/*	    

			   if (eregi('tempsite.ws$|locaweb.com.br$|hospedagemdesites.ws$|websiteseguro.com$', $_SERVER[HTTP_HOST])) {

         		$emailsender='seu@e-mail.com.br';

         		} else {

         		$emailsender = "webmaster@" . $_SERVER[HTTP_HOST];

         		}

         		if(PHP_OS == "Linux") $quebra_linha = "\n"; //Se for Linux

         		elseif(PHP_OS == "WINNT") $quebra_linha = "\r\n"; // Se for Windows

         		else die("Este script nao esta preparado para funcionar com o sistema operacional de seu servidor");

				$nomeremetente     = 'GRUPOAZUR';

				$emailremetente    = 'webmaste@grupoazur.com.br';

				$emaildestinatario = $conteudo[2];

				$assunto           = $_POST['descricao_capa'];

				$mensagem          = $_POST['descricao_item'];

				$mensagemHTML = '<P>Atenção chamado aberto por  '.$_SESSION['username'].' </P>

				<p><b><i>'.$mensagem.'</i></b></p><hr>';

				$headers = "MIME-Version: 1.1".$quebra_linha;

				$headers .= "Content-type: text/html; charset=iso-8859-1".$quebra_linha;

				$headers .= "From: ".$emailsender.$quebra_linha;

				$headers .= "Return-Path: " . $emailsender . $quebra_linha;

				$headers .= "Reply-To: ".$emailremetente.$quebra_linha;

				mail($emaildestinatario, $assunto, $mensagemHTML, $headers, "-r". $emailsender);

*/			  

			  alerta("Chamado aberto");

			  return true;

			 	 

			 

			}else{}

		   

		   



		   

		   }

		   

	

	  function modelo_ler()  

		   {

			$sql= "select * from chamado where codigo=".$_REQUEST['codigo']; 

			$this->resultado = $this->con->banco->Execute($sql);

			$this->registros = $this->resultado->FetchNextObject();

		   }

		   

		   	  function modelo_encaminhar()  

		   {

			    $date = date('Y-m-d');

			   $conteudo=explode("|",$_POST['para']);

			$sql= "update chamado set com=".$conteudo[0].",com_nome='".$conteudo[1]."',data_ult_mov='".$date."' where codigo=".$_REQUEST['codigo']; 

			IF($this->resultado = $this->con->banco->Execute($sql)){

			

			alerta("Chamado Encaminhado");

		    

			   // if (eregi('tempsite.ws$|locaweb.com.br$|hospedagemdesites.ws$|websiteseguro.com$', $_SERVER[HTTP_HOST])) {

         		//$emailsender='seu@e-mail.com.br';

         		//} else {

         		//$emailsender = "webmaster@" . $_SERVER[HTTP_HOST];

         		}

   /*      		if(PHP_OS == "Linux") $quebra_linha = "\n"; //Se for Linux

         		elseif(PHP_OS == "WINNT") $quebra_linha = "\r\n"; // Se for Windows

         		else die("Este script nao esta preparado para funcionar com o sistema operacional de seu servidor");

				$nomeremetente     = 'GRUPOAZUR';

				$emailremetente    = 'webmaste@grupoazur.com.br';

				$emaildestinatario = $conteudo[2];

				$assunto           = 'Chamado Encaminhado por '.$_SESSION['username'];

				$mensagem          = 'Chamado Encaminhado por '.$_SESSION['username'];

				$mensagemHTML = '<P>Atenção chamado Encaminhado por  '.$_SESSION['username'].' </P>

				<p><b><i>'.$mensagem.'</i></b></p><hr>';

				$headers = "MIME-Version: 1.1".$quebra_linha;

				$headers .= "Content-type: text/html; charset=iso-8859-1".$quebra_linha;

				$headers .= "From: ".$emailsender.$quebra_linha;

				$headers .= "Return-Path: " . $emailsender . $quebra_linha;

				$headers .= "Reply-To: ".$emailremetente.$quebra_linha;

				mail($emaildestinatario, $assunto, $mensagemHTML, $headers, "-r". $emailsender);

		*/	 

			//  return true;

			 

			 

		//	}else{}

			

			

			

			

			

		   }

		   

		   

		   function modelo_inserir_detalhe_chamado_encaminhado()  

		   {

			    $date = date('Y-m-d');

			   $conteudo=explode("|",$_POST['para']);

			   		

			

			   $sql="insert into chamado_detalhes (

			   chamado,

			   descricao_item,

			   res,

			   res_nome,

			   res_data,

			   data,

			   ativo,

			   enumsistema

			   

			   )

			   values

			   ('".$_REQUEST['codigo']."',

			   'chamado encaminhado para ".$conteudo[1]."',

			   '".$_POST['de']."',

		      '".$_POST['de_nome']."',

			   '$date',

			    '$date',

			   	'S',

			   'CHAMADO-".$_SERVER["REMOTE_ADDR"]."-".$date."'  

			   )";

			  	$this->resultado = $this->con->banco->Execute($sql);


		   }

		   

		   

		   function modelo_inserir_detalhe_chamado_resp()  

		   {

			 //////////////////////

    #Declaramos de onde estaremos recebendo o anexo (que será através da variável ($_FILES) de envio de arquivos por HTTP)

  $DfAnexo = $_FILES["DfAnexo"]["name"];



  #Se nenhum arquivo for selecionado para ser enviado, exibe a mensagem de erro abaixo

  if(empty($DfAnexo)) {

	  $caminho="";

   

  }

  #Caso contrário, o arquivo é checado para ser processado

  else {

    #Declaramos um tamanho máximo para o envio do anexo em bytes (setamos como sendo 5120000 bytes (que é igual a 5 MB))

    #Se o anexo for maior que 5 MB, exibe a mensagem de erro abaixo e termina a execução do script

    if($_FILES["DfAnexo"]["size"] > 5120000) {

      echo "Erro no envio do anexo<br /><br />";

      echo "Seu anexo não poderá ser maior que 5 MB!";

      exit;

    }

    #Caso contrário, o arquivo continua a ser processado

    if(!empty($_FILES["DfAnexo"]["tmp_name"]) and is_file($_FILES["DfAnexo"]["tmp_name"])) {

      #Declaramos a pasta aonde o arquivo será salvo (esta pasta deve estar com chmod 777)

      $caminho = "h010/";



      #Declaramos a data e hora atual que será inserida no nome do arquivo para registrar o exato momento do envio dele

      $datahora = date("Ymd_His_");



      #Re-declaramos a pasta aonde o arquivo será salvo, desta vez inserindo junto a ela o nome do arquivo

      $caminho = $caminho.$datahora.$_FILES["DfAnexo"]["name"];



      #Declaramos os tipos de extensões aceitas para o envio do anexo

      if(preg_match("/.rar$/", $_FILES["DfAnexo"]["name"]) or preg_match("/.TXT$/", $_FILES["DfAnexo"]["name"])) {

        #Copiamos o arquivo para a pasta setada mais acima

        copy($_FILES["DfAnexo"]["tmp_name"],$caminho);

		

		



		

		 }

      #Se o anexo não tiver uma extensão aceita, exibe a mensagem de erro abaixo e termina a execução do script

      else {

        echo "Erro no envio do anexo<br /><br />";

        echo "Extensão inválida de arquivo!";

        exit;

      }

    }

    #Se o anexo tiver sido indicado através de um caminho inválido ou tenha um nome inválido, exibe a mensagem de erro abaixo e termina a execução do script

    else {

      echo "Erro no envio do anexo<br /><br />";

      echo "Caminho e/ou nome de anexo inválido!";

                        

      exit;

    }

  } 

		   ///////////////   

			   

			   $date = date('Y-m-d');

			   $sql="insert into chamado_detalhes (

			   chamado_detalhes_chamado,

			   chamado_detalhes_des_i,

			   chamado_detalhes_anexo,

			   chamado_detalhes_res,

			   chamado_detalhes_res_nome,

			   chamado_detalhes_res_data,

			   ativo,

			   enumsistema,

			   data

			   )

			   values

			   ('".$_REQUEST['codigo']."',

			    '".$_POST['descricao_item']."',

				'".$caminho."',				

			   '".$_REQUEST['cod_user_s']."',

			   '".$_REQUEST['de_nome']."',

			   '$date',

			   'S',

			   'CHAMADO-".$_SERVER["REMOTE_ADDR"]."-".$date."',   

			   '$date'   

			   )";

			  	if($this->resultado = $this->con->banco->Execute($sql)){

					

			$sql= "update chamado set chamado_com='".$_POST['de']."',chamado_com_nome='".$_POST['de_nome']."',chamado_data_ult_mov='".$date."' where codigo=".$_POST['codigo']; 

		    IF($this->resultado = $this->con->banco->Execute($sql)){

						

			alerta("Chamado Respondido");

		    

	/*		    if (eregi('tempsite.ws$|locaweb.com.br$|hospedagemdesites.ws$|websiteseguro.com$', $_SERVER[HTTP_HOST])) {

         		$emailsender='seu@e-mail.com.br';

         		} else {

         		$emailsender = "webmaster@" . $_SERVER[HTTP_HOST];

         		}

         		if(PHP_OS == "Linux") $quebra_linha = "\n"; //Se for Linux

         		elseif(PHP_OS == "WINNT") $quebra_linha = "\r\n"; // Se for Windows

         		else die("Este script nao esta preparado para funcionar com o sistema operacional de seu servidor");

				$nomeremetente     = 'GRUPOAZUR';

				$emailremetente    = 'webmaste@grupoazur.com.br';

				$emaildestinatario = $_POST['not_email_resp'];

				$assunto           = 'Chamado Respondido por'.$_SESSION['username'];

				$mensagem          = 'Chamado Respondido por '.$_SESSION['username'];

				$mensagemHTML = '<P>Atenção chamado respondido por  '.$_SESSION['username'].' </P>

				'.$_POST['descricao_item'].'<p><b><i>'.$mensagem.'</i></b></p><hr>';

				$headers = "MIME-Version: 1.1".$quebra_linha;

				$headers .= "Content-type: text/html; charset=iso-8859-1".$quebra_linha;

				$headers .= "From: ".$emailsender.$quebra_linha;

				$headers .= "Return-Path: " . $emailsender . $quebra_linha;

				$headers .= "Reply-To: ".$emailremetente.$quebra_linha;

				mail($emaildestinatario, $assunto, $mensagemHTML, $headers, "-r". $emailsender);

	*/		 

			  return true;

			 

			 

			}else{}

					

				}

			

		   }

		   

		

				   function modelo_lista_todos()  

		   {

			$sql= "select * from chamado where ativo='S' and (chamado_de='".$_REQUEST['cod_user_s']."' or chamado_para='".$_REQUEST['cod_user_s']."') order by codigo";
	//$sql= "select * from chamado where ativo='S' and (_de='".$_SESSION['user_id']."' or para='".$_SESSION['user_id']."') order by codigo";

			$this->resultado = $this->con->banco->Execute($sql);

		   }

		   

		   	   function modelo_lista_todos_por()  

		   {

			$sql= "select * from chamado where ativo='".$_POST['busca_por_ativo']."' and ".$_POST['busca_por']." like '%".$_POST['valor_pesq']."%' and (chamado_de='".$_REQUEST['cod_user_s']."' or chamado_para='".$_REQUEST['cod_user_s']."') order by codigo";

		//	$sql= "select * from chamado where ativo='".$_POST['busca_por_ativo']."' and ".$_POST['busca_por']." like '%".$_POST['valor_pesq']."%' and (_de='".$_SESSION['user_id']."' or para='".$_SESSION['user_id']."') order by codigo";

			$this->resultado = $this->con->banco->Execute($sql);

		   }

	

	



function modelo_reabrir()  

		    { $date = date('Y-m-d');

			  $validadordeapagar=(int) $_REQUEST["codigo"];

			  if( is_int($validadordeapagar)){

			  $sql= "update ".$_REQUEST['tabela']." set ativo='S',data_fim='".$date."' where codigo=".$_REQUEST['codigo']; 

			  $this->resultado = $this->con->banco->Execute($sql);

			  alerta("O Chamado Reaberto");

		      return true;

		    }

			else

			{

			  return false;

			

				

			};

			}

	





}





?>

